﻿namespace DiplomaThesis.Core.Api;

/// <summary>
/// Model representing API request
/// </summary>
/// <typeparam name="TPayload">Type of the payload</typeparam>
public record ApiRequest<TPayload>
{
    /// <summary>
    /// Access token to the server
    /// </summary>
    public string AccessToken { get; init; }

    /// <summary>
    /// Payload of the API request
    /// </summary>
    public TPayload Payload { get; init; }
}
