﻿namespace DiplomaThesis.Core.Api;

/// <summary>
/// Model representing API response
/// </summary>
/// <typeparam name="TPayload">Type of the payload</typeparam>
public record ApiResponse<TPayload>
{
    /// <summary>
    /// Type of the API response
    /// </summary>
    public ApiResponseType ResponseType { get; init; }

    /// <summary>
    /// Payload of the API response
    /// </summary>
    public TPayload Payload { get; init; }
}
