﻿using DiplomaThesis.Core.Models.Inbox;
using System.ComponentModel.DataAnnotations;

namespace DiplomaThesis.Core.ApiPayload.Inbox;

/// <summary>
/// Request payload with inbox message
/// </summary>
public record InboxMessageAddRequestPayload
{
    /// <summary>
    /// Content of the message
    /// </summary>
    [Required]
    public string Content { get; init; }

    /// <summary>
    /// Id of the chat to which message belongs to
    /// </summary>
    [Required]
    public string ChatId { get; init; }

    /// <summary>
    /// Type of the inbox message
    /// </summary>
    [Required]
    public InboxMessageType MessageType { get; init; }

    /// <summary>
    /// Receiver of the message
    /// </summary>
    [Required]
    public string ReceiverId { get; init; }

    /// <summary>
    /// Initialization vector for encryption
    /// </summary>
    [Required]
    public string IV { get; init; }
}
