﻿using DiplomaThesis.Core.Models.Inbox;

namespace DiplomaThesis.Core.ApiPayload.Inbox;

/// <summary>
/// Response payload with inbox message
/// </summary>
public record InboxMessageGetResponsePayload
{
    /// <summary>
    /// Content of the message
    /// </summary>
    public string Content { get; init; }

    /// <summary>
    /// Id of the chat to which message belongs to
    /// </summary>
    public string ChatId { get; init; }

    /// <summary>
    /// Type of the inbox message
    /// </summary>
    public InboxMessageType MessageType { get; init; }

    /// <summary>
    /// Initialization vector for encryption
    /// </summary>
    public string IV { get; init; }
}
