﻿using System.ComponentModel.DataAnnotations;

namespace DiplomaThesis.Core.ApiPayload.User;

/// <summary>
/// Request payload with data about new user
/// </summary>
public record UserAddRequestPayload
{
    /// <summary>
    /// Display name of the user
    /// </summary>
    [Required]
    public string DisplayName { get; init; }

    /// <summary>
    /// Generator number used for diffie-hellman
    /// </summary>
    [Required]
    public string Generator { get; init; }

    /// <summary>
    /// Prime number used for diffie-hellman
    /// </summary>
    [Required]
    public string Prime { get; init; }

    /// <summary>
    /// Public key used for diffie-hellman
    /// </summary>
    [Required]
    public string PublicKey { get; init; }
}
