﻿using System.ComponentModel.DataAnnotations;

namespace DiplomaThesis.Core.ApiPayload.User;

/// <summary>
/// Request payload with updated data about user
/// </summary>
public record UserUpdateRequestPayload
{
    /// <summary>
    /// Id of the user
    /// </summary>
    [Required]
    public string Id { get; init; } 

    /// <summary>
    /// Display name of the user
    /// </summary>
    [Required]
    public string DisplayName { get; init; }
}
