﻿using DiplomaThesis.MobileApp.Helpers;
using DiplomaThesis.MobileApp.Models.Database;
using DiplomaThesis.MobileApp.Pages;
using LiteDB;
using System.Linq;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace DiplomaThesis.MobileApp
{
    /// <summary>
    /// Code-behind for application shell
    /// </summary>
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class AppShell : Shell
    {
        /// <summary>
        /// Default constructor
        /// </summary>
        public AppShell()
        {
            InitializeComponent();

            Account[] users;

            using (var db = new LiteDatabase(LiteDbHelper.GetDatabasePath("AppDb.db")))
            {
                users = db.GetCollection<Account>("accounts")
                    .FindAll()
                    .ToArray();
            }

            if (users != null && users.Count() > 0)
            {
                CurrentItem = new ChatsPage();
            }
            else
            {
                CurrentItem = new LoginPage();
            }
        }
    }
}
