﻿using System;
using System.Numerics;

namespace DiplomaThesis.MobileApp.Encryption
{
    /// <summary>
    /// Helper class for generating big integers
    /// </summary>
    public class BigIntegerGenerator
    {
        /// <summary>
        /// Random number generator
        /// </summary>
        private readonly Random mRandom = new Random();

        /// <summary>
        /// Generates big integer with selected length
        /// </summary>
        /// <param name="length">Number of bytes in big integer</param>
        /// <returns>Generated big integer</returns>
        public BigInteger GenerateBigInteger(int length)
        {
            // Initialize empty array of bytes
            var array = new byte[length];

            // Fill array with random values
            mRandom.NextBytes(array);

            // Make sure number has positive value
            array[array.Length - 1] = 0;

            // Return big integer created from generated array of bytes
            return new BigInteger(array);
        }
    }
}
