﻿using System;
using System.IO;

namespace DiplomaThesis.MobileApp.Helpers
{
    /// <summary>
    /// Helper for working with LiteDB
    /// </summary>
    public static class LiteDbHelper
    {
        /// <summary>
        /// Gets path of the LiteDB database
        /// </summary>
        /// <param name="databaseName">Name of the database</param>
        /// <returns>Path of the database</returns>
        public static string GetDatabasePath(string databaseName)
        {
            return Path
                .Combine(Environment.GetFolderPath(
                    Environment.SpecialFolder.LocalApplicationData), databaseName);
        }
    }
}
