﻿namespace DiplomaThesis.MobileApp.Models.ApiPayload.User
{
    /// <summary>
    /// Request payload with data about new user
    /// </summary>
    public class UserAddRequestPayload
    {
        /// <summary>
        /// Display name of the user
        /// </summary>
        public string DisplayName { get; set; }

        /// <summary>
        /// Generator number used for diffie-hellman
        /// </summary>
        public string Generator { get; set; }

        /// <summary>
        /// Prime number used for diffie-hellman
        /// </summary>
        public string Prime { get; set; }

        /// <summary>
        /// Public key used for diffie-hellman
        /// </summary>
        public string PublicKey { get; set; }
    }
}
