﻿namespace DiplomaThesis.MobileApp.Models.Database
{
    /// <summary>
    /// Model representing user data in database
    /// </summary>
    public class Account
    {
        /// <summary>
        /// Database id of the user
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Server id of the user
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// Server of the user
        /// </summary>
        public string Server { get; set; }

        /// <summary>
        /// Key used for encrypted communication
        /// </summary>
        public string EncryptionKey { get; set; }

        /// <summary>
        /// Is user logged in
        /// </summary>
        public bool IsLoggedIn { get; set; }

        /// <summary>
        /// Token used for accessing server data
        /// </summary>
        public string AccessToken  { get; set; }

        /// <summary>
        /// Display name of the user
        /// </summary>
        public string DisplayName { get; set; }
    }
}
