﻿namespace DiplomaThesis.MobileApp.Models.Database
{
    /// <summary>
    /// Model representing chat in database
    /// </summary>
    public class Chat
    {
        /// <summary>
        /// Id of the chat
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Name of the chat
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Service id of the chat
        /// </summary>
        public string ChatId { get; set; }

        /// <summary>
        /// Is chat active
        /// </summary>
        public bool IsActive { get; set; } = false;

        /// <summary>
        /// Private key used for derivating encryption key
        /// </summary>
        public string PrivateKey { get; set; }

        /// <summary>
        /// Key used for chat messages encryption
        /// </summary>
        public string EncryptionKey { get; set; }

        /// <summary>
        /// Prime number used for derivating encryption key
        /// </summary>
        public string Prime { get; set; }

        /// <summary>
        /// Server of the peer
        /// </summary>
        public string PeerServer { get; set; }

        /// <summary>
        /// Id of the peer
        /// </summary>
        public string PeerUserId { get; set; }
    }
}
