﻿using System;

namespace DiplomaThesis.MobileApp.Models.Database
{
    /// <summary>
    /// Model representing message
    /// </summary>
    public class Message
    {
        /// <summary>
        /// Id of the message
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Id of the chat to which message belongs to
        /// </summary>
        public string ChatId { get; set; }

        /// <summary>
        /// Text of the message
        /// </summary>
        public string Text { get; set; }

        /// <summary>
        /// Date of the message
        /// </summary>
        public DateTime Date { get; set; } = DateTime.Now;

        /// <summary>
        /// Is message received
        /// </summary>
        public bool IsReceived { get; set; } = false;
    }
}
