﻿using DiplomaThesis.MobileApp.Models.Database;
using DiplomaThesis.MobileApp.ViewModels;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace DiplomaThesis.MobileApp.Pages
{
    /// <summary>
    /// Code-behind for chat page
    /// </summary>
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class ChatPage : ContentPage
    {
        /// <summary>
        /// Default constructor
        /// </summary>
        public ChatPage()
        {
            InitializeComponent();

            BindingContext = new ChatPageViewModel(this, null);
        }

        /// <summary>
        /// Initializes page with chat info
        /// </summary>
        /// <param name="chat">Chat of the view</param>
        public ChatPage(Chat chat)
        {
            InitializeComponent();

            BindingContext = new ChatPageViewModel(this, chat);
        }
    }
}
