﻿using System.ComponentModel;

namespace DiplomaThesis.MobileApp.ViewModels.Base
{
    /// <summary>
    /// Base for other view models
    /// </summary>
    public abstract class BaseViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }

}
