﻿using DiplomaThesis.Server.Models;
using Microsoft.EntityFrameworkCore;

namespace DiplomaThesis.Server.Database;

/// <summary>
/// Custom application database context
/// </summary>
public class ApplicationDbContext : DbContext
{
    /// <summary>
    /// Database table of access tokens
    /// </summary>
    public DbSet<AccessTokenModel> AccessTokens { get; set; }

    /// <summary>
    /// Database table of users auth key infos
    /// </summary>
    public DbSet<AuthInfoModel> AuthInfos { get; set; }

    /// <summary>
    /// Database table of inbox messages
    /// </summary>
    public DbSet<InboxMessageModel> InboxMessages {  get; set; }

    /// <summary>
    /// Database table of users
    /// </summary>
    public DbSet<UserModel> Users { get; set; }

    /// <summary>
    /// Default constructor
    /// </summary>
    /// <param name="options">Database context options</param>
    public ApplicationDbContext(DbContextOptions<ApplicationDbContext> options) : base(options)
    {
    }
}
