﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DiplomaThesis.Server.Models;

/// <summary>
/// Record representing token model
/// </summary>
public record AccessTokenModel
{
    /// <summary>
    /// Access token to the server
    /// </summary>
    [Required]
    [MaxLength(4096)]
    public string Token { get; init; }

    /// <summary>
    /// Id of the token
    /// </summary>
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Key]
    [Required]
    public Guid Id { get; init; }
}
