﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DiplomaThesis.Server.Models;

/// <summary>
/// Record representing authentication information model
/// </summary>
public record AuthInfoModel
{
    /// <summary>
    /// Id of the auth information
    /// </summary>
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Key]
    [Required]
    public Guid Id { get; init; }

    /// <summary>
    /// Private key of the server
    /// </summary>
    [Required]
    public string ServerPrivateKey { get; init; }

    /// <summary>
    /// Common key for the encryption
    /// </summary>
    [Required]
    public string CommonKey { get; init; }
}
